%define pypi_name eyeD3
%define pkg_name  eyed3

Summary:        ID3 tag pypi_name
Name:           python-%{pkg_name}
Version:        0.9.7
Release:        %mkrel 3
License:        GPLv2+
Group:          Development/Python
Url:            https://pypi.org/project/eyeD3/
Source0:        %{pypi_source}
Patch0:         0001-fix-shebangs.patch
BuildArch:      noarch

%description
eyeD3 is a Python module and program for processing ID3
tags. Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided. The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

%package -n     python3-%{pkg_name}
Summary:        ID3 tag Python 3 pypi_name
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(deprecation)
BuildRequires:  python3dist(filetype)
BuildRequires:  python3-poetry
BuildRequires:  python3-pytest

Requires:       python3dist(file-magic)
Requires:       python3dist(pillow)
Requires:       python3dist(requests)

%description -n python3-%{pkg_name}
eyeD3 is a Python 3 module and program for processing ID3
tags. Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided. The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%pytest --ignore=tests/{test_factory.py,test_classic_plugin.py,test_core.py,id3/test_frames.py,test_jsonyaml_plugin.py,id3/test_rva.py,test_issues.py}

%files -n python3-%{pkg_name}
%doc AUTHORS.rst HISTORY.rst README.rst examples/
%doc LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pkg_name}/
%{python3_sitelib}/eyed3-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.7-3.mga10
+ Revision: 2239859
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.9.7-2.mga10
+ Revision: 2156952
- rebuild for python3.13

* Mon Feb 26 2024 papoteur <papoteur> 0.9.7-1.mga10
+ Revision: 2044537
- new version 0.9.7
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.9.6-3.mga9
+ Revision: 1823768
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.9.6-2.mga9
+ Revision: 1784975
- rebuild for python-3.10

* Sun Mar 21 2021 wally <wally> 0.9.6-1.mga9
+ Revision: 1706381
- new version 0.9.6

* Thu Nov 19 2020 joequant <joequant> 0.9.5-2.mga8
+ Revision: 1647466
- fix dep to point to renamed file-magic

* Tue Nov 10 2020 guillomovitch <guillomovitch> 0.9.5-1.mga8
+ Revision: 1644366
- new version 0.9.5

* Sun Feb 16 2020 umeabot <umeabot> 0.8.10-2.mga8
+ Revision: 1534015
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.8.10-1.mga8
+ Revision: 1446903
- new version: 0.8.10
- use python-magic dependency from our file package

* Sun Apr 22 2018 daviddavid <daviddavid> 0.8.5-1.mga7
+ Revision: 1221134
- new version: 0.8.5
- rename python-eyed3 to python2-eyed3
- add the Python3 subpkg

* Sat Feb 20 2016 umeabot <umeabot> 0.7.8-2.mga6
+ Revision: 971834
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 philippem <philippem> 0.7.8-1.mga6
+ Revision: 893050
- update to 0.7.8

* Tue Dec 02 2014 luigiwalser <luigiwalser> 0.7.4-7.mga5
+ Revision: 800329
- add patch from fedora to fix CVE-2014-1934

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-6.mga5
+ Revision: 749950
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.4-5.mga5
+ Revision: 728462
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-4.mga5
+ Revision: 688026
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Thu Mar 06 2014 philippem <philippem> 0.7.4-2.mga5
+ Revision: 600506
- remove non mandatory python-magic dependency since we don't have the good module

* Wed Mar 05 2014 philippem <philippem> 0.7.4-1.mga5
+ Revision: 600150
- update to 0.7.4

* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 543343
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-2.mga4
+ Revision: 498560
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 18 2013 philippem <philippem> 0.7.3-1.mga4
+ Revision: 455974
- Update to 0.7.3

* Thu Jun 06 2013 colin <colin> 0.7.1-1.mga4
+ Revision: 438227
- Add BR for python-setuptools
- New version: 0.7.1
- Rework build for new version

* Sun Jan 13 2013 umeabot <umeabot> 0.6.18-2.mga3
+ Revision: 378819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 philippem <philippem> 0.6.18-1.mga2
+ Revision: 174513
- Update to 0.6.18
+ stormi <stormi>
- increase release so that it's higher than in Mageia 1

* Thu Jun 09 2011 ahmad <ahmad> 0.6.17-4.mga2
+ Revision: 102624
- Fix the Lincese tag
- Drop the buildroot declaration
- Drop the deprecated %%py_requires macro and use BR python-devel instead
- imported package python-eyed3


* Thu Jun 09 2011 ahmad <ahmad> 0.6.17-4.mga2
+ Revision: 102624
- Fix the Lincese tag
- Drop the buildroot declaration
- Drop the deprecated %%py_requires macro and use BR python-devel instead
- imported package python-eyed3


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.6.17-3mdv2011.0
+ Revision: 590614
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.17-2mdv2011.0
+ Revision: 442104
- rebuild

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 0.6.17-1mdv2009.1
+ Revision: 336812
- update to new version 0.6.17

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.6.16-3mdv2009.1
+ Revision: 319380
- rebuild for new python

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.6.16-2mdv2009.0
+ Revision: 265542
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 0.6.16-1mdv2009.0
+ Revision: 217381
- new version

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 0.6.15-1mdv2009.0
+ Revision: 201277
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 0.6.13-1mdv2008.0
+ Revision: 20407
- new version


* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.6.12-1mdv2007.0
+ Revision: 122645
- new version

* Mon Dec 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-2mdv2007.1
+ Revision: 90583
- Rebuild against new python

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.11-1mdv2007.1
+ Revision: 76840
- new version

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.6.10-1mdv2007.1
+ Revision: 75191
- Import python-eyed3

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.6.10-1mdv2007.1
- New version 0.6.10

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2007.0
- Rebuild

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.6.7-2mdk
- use python macros
- use mkrel

* Mon Aug 29 2005 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdk
- New release 0.6.7

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdk
- initial package

